# Apport hook for Epidermis
#
# Copyright 2010 David D Lowe <daviddlowe.flimm@gmail.com>
#       
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#       
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#       
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.
"""Apport hook for Epidermis"""

from apport.hookutils import attach_file_if_exists, command_output
from xdg.BaseDirectory import xdg_data_home
import os

def add_info(report):
    attach_file_if_exists(report, "/etc/epidermis.conf")
    report["GconfEpidermis"] = command_output(["gconftool-2","-R","/apps/epidermis"])
    
    report["InstalledPigments"] = command_output(["find",os.path.join(xdg_data_home,"epidermis"),"-mindepth","2","-type","d"]) \
        + "\n" + command_output(["find","/usr/share/epidermis/pigments","-mindepth","2","-type","d"])

    # If Epidermis is not included in the distribution, file bug in 
    # bugs.launchpad.net/epidermis instead, as specified in epidermis-crashdb.conf
    if not apport.packaging.is_distro_package(report['Package'].split()[0]):
        report['ThirdParty'] = 'True'
        report['CrashDB'] = 'epidermis'
